/* CONTAINERS*/
.container{
    width:min(100% - 48px,var(--container));
    margin-inline:auto;
}

.container-large{
    width:min(100% - 48px,var(--container-large));
    margin-inline:auto;
}

.container-small{
    width:min(100% - 48px,var(--container-small));
    margin-inline:auto;
}

/*SECTION*/
section{
    position:relative;
    padding:120px 0;
}

section:first-of-type{
    padding-top:0;
}


/*SECTION HEADER */
.section-header{
    max-width:760px;
    margin:0 auto 80px;
    text-align:center;
}

.section-header h2{
    margin-top:16px;
    margin-bottom:24px;
}


/*GRID*/
.grid{
    display:grid;
}

.grid-2{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:64px;
}

.grid-3{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:32px;
}

.grid-4{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:32px;
}


/*FLEX */
.flex{
    display:flex;
}

.flex-center{
    display:flex;
    justify-content:center;
    align-items:center;
}

.flex-between{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.flex-column{
    display:flex;
    flex-direction:column;
}

/*SPACING*/
.mt-1{margin-top:8px;}
.mt-2{margin-top:16px;}
.mt-3{margin-top:24px;}
.mt-4{margin-top:32px;}
.mt-5{margin-top:48px;}
.mt-6{margin-top:64px;}

.mb-1{margin-bottom:8px;}
.mb-2{margin-bottom:16px;}
.mb-3{margin-bottom:24px;}
.mb-4{margin-bottom:32px;}
.mb-5{margin-bottom:48px;}
.mb-6{margin-bottom:64px;}


/*IMAGE */
img{
    display:block;
    width:100%;
    height:auto;
}

/*LIST*/
ul{
    list-style:none;
}

a{
    text-decoration:none;
}